---
-name: Installer OpenSSH sur CT2_user
hosts: CT2 user
tasks:
  -name: Mettre à jour la liste des paquets
  apt:
   update_cache: yes
  become: yes
  become_user: root
  become_method: sudo
 
  - name: Installer OpenSSH
  apt:
  name: Openssh-server
  state: present
  become: yes

  - name: Configuration et déploiement sur l'hôte CT2_user
  hosts: CT2_user
  become: yes
  become_user: root
  
tasks:
    - name: Mettre à jour le système d'exploitation
      apt:
        update_cache: yes
        upgrade: safe
      become: yes
 
    - name: Installation de paquets communs
      apt:
        name: "{{ item }}"
        state: present
      become: yes
      loop:
        - package1
        - package2
        
 
    - name: Création du groupe utilisateur sshusers
      group:
        name: sshusers
        state: present
      become: yes
 
    - name: Installation et configuration de Fail2ban
      apt:
        name: fail2ban
        state: present
      become: yes
      
 
    - name: Installation de LAMP (Linux, Apache, MySQL, PHP)
      apt:
        name: "{{ item }}"
        state: present
      become: yes
      loop:
        - apache2
        - mysql-server
        - php
        
 
    - name: Configuration des services LAMP
      
 
    - name: Déploiement de l'application Wordpress
